Skip to content

Get all records with paging

GET
/openapi/chat/paged
curl --request GET \
--url 'https://open-api.replyco.com/openapi/chat/paged?page=1&count=10&asc=true' \
--header 'Authorization: Bearer <token>'
page
integer format: int32
default: 1

Page number, default = 1

count
integer format: int32
default: 10

Amount of elements per page, default = 10

term
string

Search text in main model fields

sort
string

Name of field to sort by

asc
boolean
default: true

True if ascending sort, false if descending, default - true

OK

Media typeapplication/json
object
totalRecords
integer format: int32
pageSize
integer format: int32
pagesCount
integer format: int32
currentPage
integer format: int32
data
Array<object>
nullable
object
id
string format: uuid
marketId
string
nullable
title
string
nullable
accountId
string format: uuid
nullable
marketplace
integer format: int32
Allowed values: 0 - PlaceholderDoNotUse 1 - Ebay 2 - Etsy 3 - Mail 4 - BigCommerce 5 - WooCommerce 6 - Magento 7 - Shopify 8 - Linnworks 10 - Gmail 11 - Telegram 12 - Widget 13 - Cdiscount 14 - Facebook 15 - Fruugo 16 - AmazonSP 17 - Instagram 18 - Wish 19 - ChannelAdvisor 20 - CustomIntegration 21 - Outlook 22 - Veeqo 23 - Aircall 24 - Katana 25 - Billbee 26 - Kaufland 27 - WhatsApp 28 - ShopLine 29 - Brightpearl 30 - TikTok 31 - Otto 32 - RestApiEbay
createdDate
string format: date-time
nullable
widgetId
string format: uuid
nullable
status
integer format: int32
Allowed values: 0 - Open 1 - Closed
summary
string
nullable
lastReceivedMessageDate
string format: date-time
nullable
customerId
string format: uuid
nullable
customerChats
Array<object>
nullable
object
id
string format: uuid
customerId
string format: uuid
chatId
string format: uuid

Example

{
"data": [
{
"marketplace": "0 - PlaceholderDoNotUse",
"status": "0 - Open"
}
]
}

Unauthorized